Special Aircraft Service

Please login or register.

Login with username, password and session length
Advanced search  
Pages: 1 [2] 3 4   Go Down

Author Topic: SAS Common Utils 1.10  (Read 54142 times)

0 Members and 2 Guests are viewing this topic.

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17742
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: SAS Common Utils
« Reply #12 on: April 28, 2014, 11:31:37 AM »

Yep that's what I said. If you're not into Java it will tell you nothing.
Basically it makes life easier for Java coders and if one of them utilizes this mod, you'll have to install the user version of the mod to your game in order to be able to run those mods.
Time will tell but it's really no big deal from "Joe User"'s point of view.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17742
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: SAS Common Utils 1.04
« Reply #13 on: June 17, 2014, 06:17:35 AM »

*bump*

Updated version 1.04 available in first post.
ATTENTION MODDERS:
You'll love this once you tried it, trust me.

This version brings the good old method "weaponsRegister" back to life.
You know what I'm talking about? The one which can be found in many aircraft classes, e.g. like this:
Code: [Select]
weaponsRegister(class1, "default", new String[] { "MGunBrowning50si 250", "MGunBrowning50si 250", "MGunBrowning50k 250", "MGunBrowning50k 250" });
Unfortunately with IL-2 1946 this method was removed and replaced by an empty method, that's why many modders would have to rewrite their weapon slots manually, which means that the above mentioned single line of code would be bloated to 20-30 lines of java code, which repeats for each and every weapon slot on each and every modded aircraft unless you know how to do the proprietary "cod" type encrypted weapon compilation.

This is history now. Since version 1.04 the SAS Common Utils introduce the class "AircraftTools". This class contains the method "weaponsRegister" which acts exactly like the old stock method, plus it adds the possibility to precede each weapon definition by it's desired trigger index.

Questions? Just ask.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

The Radge

  • Modder
  • member
  • Offline Offline
  • Posts: 1025
Re: SAS Common Utils 1.04
« Reply #14 on: June 17, 2014, 06:54:54 AM »

Yeaaaah Mike, that is very cool, thanks a lot!
I just learned now how to make classes and know what are you talking about - weapons register!
Thank you again, this old method will reduce the class weight significantly :D :)
Logged

OberstDanjeje

  • member
  • Offline Offline
  • Posts: 1392
Re: SAS Common Utils 1.04
« Reply #15 on: June 18, 2014, 01:47:34 AM »

Wow, Mike, this is great.
I'm not a Java programmer but I know something about programming and those API are great.
Just BaseGameVersion class Worth 1000 thank you ;)
Logged

SAS~Malone

  • flying as #46 with the FAC
  • Editor
  • member
  • Offline Offline
  • Posts: 14423
  • proud member of that 'other' site
Re: SAS Common Utils 1.04
« Reply #16 on: June 18, 2014, 05:44:01 AM »

nice! :D
Logged
.....taking fun seriously since 1968.....  8)

SAS~Tom2

  • SAS Honourable Member
  • member
  • Offline Offline
  • Posts: 7957
  • no sweat
Re: SAS Common Utils 1.04
« Reply #17 on: June 18, 2014, 06:31:44 PM »

Mike aka Mister code himself. :)
Logged

The Radge

  • Modder
  • member
  • Offline Offline
  • Posts: 1025
Re: SAS Common Utils 1.04
« Reply #18 on: June 18, 2014, 06:48:14 PM »

Mike aka Mister code himself. :)
No doubt! :)
Logged

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17742
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: SAS Common Utils 1.05
« Reply #19 on: July 02, 2014, 03:42:40 AM »

New version 1.05 release in first post.
Just minor changes to the Javadoc comments in this version since the previous version 1.04 contained some explanations which were plain wrong.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17742
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: SAS Common Utils 1.06
« Reply #20 on: July 30, 2014, 08:58:00 AM »

*bump*

New version 1.06 available in first post.
This version fixes a nasty typo in the "AircraftTools" class which caused weapon loadout assignments to fail.
I urge all users of the SAS Common Utils to update to the new version.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17742
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: SAS Common Utils 1.07
« Reply #21 on: September 17, 2014, 09:54:26 AM »

*bump*

New version 1.07 available in first post.
This version fixes a bug in the "AircraftTools" class for aircrafts with empty ordnance option (i.e. no weapons, no triggers, no hooks).
I urge all users of the SAS Common Utils to update to the new version.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17742
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: SAS Common Utils 1.08
« Reply #22 on: June 30, 2015, 10:17:38 AM »

*bump*

New version 1.08 available in first post.
This version allows modders to query the currently used IL-2 Selector Version from within the running IL-2 game.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17742
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: SAS Common Utils 1.09
« Reply #23 on: July 02, 2015, 06:41:18 AM »

*bump*

New version 1.09 available in first post.
This version fixes a glitch where the game might throw errors in special situations when you updated the Common Utils but use an outdated IL-2 Selector.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...
Pages: 1 [2] 3 4   Go Up
 

Page created in 0.016 seconds with 26 queries.